
Name:		libnfnetlink0
Version:	1.0.1
Release:	2.1
Group:		Productivity/Networking/Security
Summary:	Library for interfacing with Netfilter (kernel)
License:	GPL
URL:		http://netfilter.org/projects/libnfnetlink/

Source:		libnfnetlink-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
nfnetlink is a netlink(7) based kernel/userspace transport layer. It
provides a unified kernel/userspace interface for the various
netfilter subsystems, such as connection tracking, logging and
queueing.

libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions. It is used as a foundation for other,
netfilter subsystem specific libraries such as
libnfnetlink_conntrack, libnfnetlink_log and libnfnetlink_queue.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Pablo Neira Ayuso
	Harald Welte

%package -n libnfnetlink-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnfnetlink
Requires:	%name = %version

%description -n libnfnetlink-devel
Development files for libnfnetlink.

libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions. It is used as a foundation for other,
netfilter subsystem specific libraries such as
libnfnetlink_conntrack, libnfnetlink_log and libnfnetlink_queue.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Pablo Neira Ayuso
	Harald Welte

%prep
%setup -qn libnfnetlink-%version

%build
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnfnetlink-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Tue Oct  9 2012 cs@linux-administrator.com
- update to release 1.0.1
